.main-container {
  margin: 0 auto;
  max-width: 120rem;
  overflow: hidden;
  position: relative;
}

/* Content Item Visibility 内容切换 */
.main-container .content-item:not(.active) {
  display: none;
}

.main-container .content-item.active {
  display: block;
  position: relative;
}

.title {
  font-size: 1.875rem;
  font-weight: 600;
  display: flex;
  justify-content: center;
}

.title h2 {
  color: var(--text-color-primary);
  display: inline-block;
  margin: 0;
  max-width: 80%;
  padding: 0 0 0.5rem;
  position: relative;
}

.title h2::after {
  background-color: var(--main-color);
  bottom: 0;
  content: "";
  height: 2px;
  position: absolute;
  width: 30%;
  left: 50%;
  transform: translateX(-50%);
}

.blue-shield-vip-content {
  display: flex;
  flex-wrap: wrap;
  gap: 1.25rem;
  padding: 0 0.9375rem;
}

.blue-shield-vip-item {
  width: 30%;
  box-shadow: 0 0 0.9375rem 0 rgba(0, 0, 0, 0.1);
  border-radius: 0.9375rem;
  position: relative;
  overflow: hidden;
  z-index: 1;
  flex: 1;
  padding: 0.9375rem 1.5rem;
}

.blue-shield-vip-item::before {
  content: "";
  position: absolute;
  z-index: 1;
  top: 30%;
  left: 50%;
  width: 70%;
  height: 100%;
  background-image: url("/assets/svg/dunpai.svg");
  background-size: 100% 100%;
  background-position: center;
  transform: rotate(-20deg);
  opacity: 0.24;
  pointer-events: none;
}

.blue-shield-vip-item h2 {
  text-align: center;
  font-weight: 700;
  margin-bottom: 1rem;
}

.blue-shield-vip-item .sub-title {
  color: var(--main-color);
  font-weight: 700;
  margin-bottom: 1.5rem;
  text-align: center;
}

.blue-shield-vip-item-text {
  color: #666;
  font-size: 0.875rem;
}

.blue-shield-vip-item-text p {
  margin-bottom: 0.75rem;
}

.blue-shield-vip-apply {
  display: flex;
  justify-content: center;
  align-content: center;
  margin-top: 3rem;
}

.content-sub-title {
  display: flex;
  justify-content: center;
  margin-top: 1rem;
  border-bottom: 1px solid #f3f3f3;
  line-height: 2.8125rem;
  overflow-x: scroll;
  scrollbar-color: #f3f3f3 #f3f3f3;
}

.content-sub-title div {
  padding: 0 1.5rem;
  height: 100%;
  color: #666;
  white-space: nowrap;
  cursor: pointer;
}

.content-container {
  padding: 0 0.9375rem;
}

.content-container .content-container-item:not(.active) {
  display: none;
}

.content-container .content-container-item.active {
  display: block;
  position: relative;
}

.content-container .content-container-item .product-container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
  padding: 2rem 0;
}

.product-container .product-item {
  display: flex;
  width: 100%;
  padding: 1.5rem;
  box-sizing: border-box;
  border: 1px solid #f2f2f2;
  border-radius: 0.9375rem;
  box-shadow:
    0 0.9375rem 2.25rem rgba(0, 0, 0, 0.1),
    inset 0 0 0.9375rem rgba(255, 255, 255, 0.2);
  transition: transform 0.4s ease-out;
  overflow: hidden;
  position: relative;
}

.product-container .product-item .product-link::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;
}

.product-container .product-item:hover .product-item-image img {
  transform: scale(1.1);
}

.product-container .product-item .product-item-image {
  width: 10rem;
  height: 10rem;
  overflow: hidden;
}

.product-container .product-item .product-item-image img {
  width: 100%;
  height: 100%;
  display: inline-block;
  object-fit: cover;
  transition: transform 0.4s ease-out;
}

.product-container .product-item .product-item-info {
  flex: 1;
  margin-left: 1.5rem;
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.product-container .product-item .product-item-info .product-item-title {
  font-size: 1.125rem;
  font-weight: 700;
  margin-bottom: 0.625rem;
}

.product-container .product-item .product-item-info .product-item-role {
  font-size: 0.9375rem;
  margin-bottom: 0.625rem;
}

.product-container .product-item .product-item-info .product-item-desc {
  font-size: 0.8125rem;
  color: #666;
  height: 3.75rem;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 3;
  overflow: hidden;
  text-overflow: ellipsis;
  margin-bottom: 0.625rem;
}

.product-container .product-item .product-item-info .product-item-row {
  width: 100%;
  display: flex;
  justify-content: space-between;
}

.product-container .product-item .product-item-info .product-item-buy-btn {
  padding: 0.3rem 1rem;
  background-color: #c7000b;
  color: #fff;
  font-size: 0.8125rem;
  text-align: center;
  line-height: normal;
  position: relative;
  z-index: 2;
}

.product-container .product-item .product-item-info .product-item-origin {
  align-self: center;
  font-size: 0.8125rem;
  color: #666;
}

.happy-family-workshop .pic-box {
  width: 100%;
  max-width: 60.625rem;
  overflow: hidden;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4.375rem;
  padding-top: 5.625rem;
}

.happy-family-workshop .pic-text {
  width: 66.4%;
  float: right;
  text-align: left;
}

.happy-family-workshop .pic-text h1 {
  font-size: 2.8125rem;
  font-weight: 700;
}

.happy-family-workshop .pic-text h3 {
  font-size: 1.6875rem;
  font-weight: 700;
  line-height: 1.6875rem;
}

.happy-family-workshop .pic-text p {
  font-size: 1.125rem;
  color: #666;
  margin-top: 1.125rem;
  margin-bottom: 1.25rem;
  line-height: 2.25rem;
  text-align: left;
}

.happy-family-workshop .pic-box img {
  width: 27.3%;
  float: left;
  max-width: 265px;
  display: block;
}

.happy-family-workshop .article {
  max-width: 86rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4.375rem;
  padding: 0 0.9375rem;
  color: #666;
  font-size: 0.875rem;
}

.happy-family-workshop .article .title {
  text-align: center;
  font-weight: 700;
  font-size: 1rem;
}

.happy-family-workshop .article .content p {
  padding: 0.625rem 0;
}

.happy-family-workshop .codes {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5rem;
}

.happy-family-workshop .codes img {
  display: block;
  width: 260px;
}

.divider {
  margin-left: auto;
  margin-right: auto;
  max-width: 120rem;
  overflow: hidden;
  position: relative;
}

.divider .content-box {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  z-index: 1;
}

.divider .content-box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.divider .content-box .title {
  width: 100%;
}

.divider .content-box .title h2 {
  display: inline;
  color: #fff;
}

.divider .content-box .row {
  display: flex;
  color: #fff;
  margin: 4.375rem auto 0;
  max-width: 89.375rem;
  text-align: center;
  width: 85.652%;
}

.divider .content-box .row .row-item .iconfont {
  font-size: 3.75rem;
  color: #fff;
}

.mb70 {
  margin-bottom: 4.375rem;
}

.hidden-xs {
  display: inline-block;
}

.visible-xs {
  display: none;
}

@media screen and (min-width: 1025px) {
  .image-banner .hidden-sm,
  .divider .hidden-sm {
    display: none;
  }

  .image-banner .content-box .vertical-middle-sm {
    margin: 0 auto;
    max-width: 85.375rem;
    /* 保持原有的最大宽度 */
    width: 80%;
  }

  .content-sub-title .active {
    border-bottom: 2px solid var(--main-color);
    color: #333;
  }

  .divider .bg {
    height: auto;
    width: 100%;
  }

  .divider .content-box .title h2::after {
    content: "";
    width: 30%;
    height: 2px;
    background-color: var(--main-color);
    bottom: 0;
    left: 50%;
    min-width: 2.1875rem;
    transform: translateX(-50%);
  }

  .divider .content-box .row {
    width: 85.652%;
    font-size: 1.1125rem;
    font-weight: 600;
  }

  .divider .content-box .row .row-item {
    width: 25%;
    text-align: center;
    padding: 0 0.9375rem;
  }

  .divider .content-box .row .row-item .iconfont {
    font-weight: normal;
  }
}

@media screen and (max-width: 1024px) {
  .image-banner .hidden-lg,
  .divider .hidden-lg {
    display: none;
  }

  .image-banner .hidden-sm {
    width: 100%;
    height: auto;
  }

  .image-banner .content-box .vertical-middle-sm,
  .divider .bg {
    width: 100%;
    height: 100%;
  }

  .content {
    padding: 0 0.9375rem;
  }

  .content-sub-title {
    justify-content: flex-start;
    padding-bottom: 4px;
    border-bottom: 5px solid #f3f3f3;
  }

  .content-sub-title .active {
    border-bottom: 2px solid var(--main-color);
    color: #333;
  }

  .blue-shield-vip-content {
    display: block;
  }

  .blue-shield-vip-item {
    width: 100%;
    height: 18.75rem;
    margin-bottom: 2rem;
  }

  .blue-shield-vip-item::before {
    top: 40%;
    left: 53%;
    width: 80%;
    height: 80%;
    background-image: url("/assets/svg/dunpai.svg");
  }

  .blue-shield-vip-apply {
    padding: 0 0.9375rem;
  }

  .blue-shield-vip-apply button {
    width: 100%;
  }

  .content-container .content-container-item .product-container {
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    gap: 0.3125rem;
    padding: 1rem 0;
  }

  .product-container .product-item {
    width: 100%;
  }

  .product-container .product-item .product-item-info .product-item-origin {
    align-self: inherit;
  }

  .product-container .product-item .product-item-info .product-item-row {
    display: flex;
    flex-direction: column;
    align-items: end;
    gap: 0.625rem;
  }

  .divider .content-box .row {
    flex-wrap: wrap;
    margin: 2.5rem auto 0;
  }

  .divider .content-box .title {
    text-align: center;
  }

  .divider .content-box .row .row-item {
    width: 50%;
  }

  .happy-family-workshop-content-item-image {
    width: 11.25rem;
    height: 11.25rem;
  }

  .divider .hidden-sm {
    width: 160%;
  }

  .happy-family-workshop .pic-box {
    padding-top: 2.1875rem;
  }

  .happy-family-workshop .pic-text {
    width: 85%;
    float: none;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
  }

  .happy-family-workshop .pic-box img {
    width: 265px;
    float: none;
    margin-left: auto;
    margin-right: auto;
  }

  .happy-family-workshop .codes {
    flex-direction: column;
    gap: 2rem;
  }

  .hidden-xs {
    display: none;
  }

  .visible-xs {
    display: block;
  }
}
